Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86183 - eexpress NIC IP traffic bad on >kernel-2.4.18-19.7.x
Summary: eexpress NIC IP traffic bad on >kernel-2.4.18-19.7.x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-16 07:45 UTC by Brendan Kelly
Modified: 2015-01-04 22:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-28 14:55:55 UTC


Attachments (Terms of Use)
Fix for broken eexpress support in 2.4.18-26.7.x and 2.4.18-27.7.x (deleted)
2003-04-10 14:53 UTC, Jarek Polok
no flags Details | Diff

Description Brendan Kelly 2003-03-16 07:45:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818)

Description of problem:
After upgrading to kernels 2.4.18-24.7.x (i think) and then 2.4.18-26.7.x the 
eexpress ISA NIC fails to receive or transmit IP packets consistently. I have 
successfully fallen back to 2.4.18-19.7.x and it works quite happily. The 
eexpress driver loads okay in all cases but pings, etc fail on the higher level.

Version-Release number of selected component (if applicable):
kernel-2.4.18-26

How reproducible:
Always

Steps to Reproduce:
1. Reboot off kernel-2.4.18-26.7.x
2. Ping anything connected to ISA NIC for whic eexpress is the driver.

    

Actual Results:  Pings fail

Expected Results:  Pings should work

Additional info:

Any assistance greatly appreciated.

Comment 1 wfool 2003-03-31 14:09:58 UTC
eexpress is broken on kernel 2.4.18-27.7.x also.  

Comment 2 Jarek Polok 2003-04-10 14:51:34 UTC
Patch in the next attachement seems to solve the problem (this is from 2.4.20) 
for me. 
 
 

Comment 3 Jarek Polok 2003-04-10 14:53:28 UTC
Created attachment 91057 [details]
Fix for broken eexpress support in 2.4.18-26.7.x and 2.4.18-27.7.x


Note You need to log in before you can comment on or make changes to this bug.